VERSION 5.00
Begin VB.Form frmShowCap 
   ClientHeight    =   4125
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5580
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   4125
   ScaleWidth      =   5580
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox Picture1 
      AutoRedraw      =   -1  'True
      AutoSize        =   -1  'True
      Height          =   2985
      Left            =   300
      ScaleHeight     =   2925
      ScaleWidth      =   4905
      TabIndex        =   5
      Top             =   870
      Width           =   4965
   End
   Begin VB.ComboBox cboLeftMargin 
      Height          =   315
      Left            =   2430
      Style           =   2  'Dropdown List
      TabIndex        =   4
      Top             =   150
      Width           =   795
   End
   Begin VB.ComboBox cboTopMargin 
      Height          =   315
      Left            =   1110
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   150
      Width           =   795
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   3360
      TabIndex        =   0
      Top             =   150
      Width           =   1005
   End
   Begin VB.Label Label2 
      Caption         =   "Left"
      Height          =   225
      Left            =   2040
      TabIndex        =   2
      Top             =   210
      Width           =   375
   End
   Begin VB.Label Label1 
      Caption         =   "Top (inch)"
      Height          =   225
      Left            =   270
      TabIndex        =   1
      Top             =   210
      Width           =   885
   End
End
Attribute VB_Name = "frmShowCap"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ShowCap.frm
'
' By Herman Liu

Option Explicit



Private Sub Form_Load()
    Dim i, M
    M = 4
    For i = 0 To M Step 0.05
        cboLeftMargin.AddItem FormatNumber(i, 2)
    Next
    For i = 0 To M Step 0.05
        cboTopMargin.AddItem FormatNumber(i, 2)
    Next
    cboLeftMargin.ListIndex = 15
    cboTopMargin.ListIndex = 15
End Sub



Private Sub cmdPrint_Click()
    If PrintMethod = 1 Then
        PrintMethod1
    Else
        PrintMethod2
    End If
End Sub




Private Sub PrintMethod1()
    Dim ctl As Control
    Dim leftMgn As Single
    Dim topMgn As Single
    Dim TextWid As Single
    Dim w As Single
    Dim h As Single
    
    leftMgn = CInt(cboLeftMargin.Text) * 1440
    topMgn = CInt(cboTopMargin.Text) * 1440
    
    Printer.Print ""
    For Each ctl In frmCapForm.Controls
        Printer.Font.Name = ctl.Font.Name
        Printer.Font.Size = ctl.Font.Size
        Printer.Font.Bold = ctl.Font.Bold
        Printer.Font.Italic = ctl.Font.Italic
        If TypeOf ctl Is Label Then
            TextWid = Printer.TextWidth(ctl.Caption)
            PrintIt ctl, ctl.Caption, ctl.Left + leftMgn, ctl.Top + topMgn, TextWid, False, False
        ElseIf TypeOf ctl Is TextBox Then
            TextWid = Printer.TextWidth(ctl.Text)
            PrintIt ctl, ctl.Text, ctl.Left + leftMgn, ctl.Top + topMgn, TextWid, False, True
        ElseIf TypeOf ctl Is CommandButton Then
            TextWid = Printer.TextWidth(ctl.Caption)
            PrintIt ctl, ctl.Caption, ctl.Left + leftMgn, ctl.Top + topMgn, TextWid, True, True
        End If
    Next ctl

    w = frmCapForm.ScaleWidth
    h = frmCapForm.ScaleHeight
    Printer.Line (leftMgn, topMgn)-Step(w, h), , B
    Printer.EndDoc
End Sub




Private Sub PrintIt(ctl As Control, inText As String, l As Single, t As Single, TextWid As Single, centerText As Boolean, withBox As Boolean)
    Dim w As Single
    Dim h As Single
    Dim tmpl As Single

    If Not centerText Then
        If withBox Then
            Printer.CurrentX = l + ScaleX(0.2 * ctl.Font.Size, vbPoints, vbTwips)
            Printer.CurrentY = t + ScaleY(0.2 * ctl.Font.Size, vbPoints, vbTwips)
        Else
            Printer.CurrentX = l
            Printer.CurrentY = t
        End If
    Else
        tmpl = l + TextWid / 2
        If withBox Then
            Printer.CurrentX = tmpl + ScaleX(0.2 * ctl.Font.Size, vbPoints, vbTwips)
            Printer.CurrentY = t + ScaleY(0.2 * ctl.Font.Size, vbPoints, vbTwips)
        Else
            Printer.CurrentX = tmpl
            Printer.CurrentY = t
        End If
    End If
    Printer.Print inText
    If withBox Then
        w = frmCapForm.ScaleX(ctl.Width, frmCapForm.ScaleMode, vbTwips)
        h = frmCapForm.ScaleY(ctl.Height, frmCapForm.ScaleMode, vbTwips)
        Printer.Line (l, t)-Step(w, h), , B
    End If
End Sub




Private Sub PrintMethod2()
    Printer.Print ""
    Printer.PaintPicture Picture1.Picture, CInt(cboLeftMargin.Text) * 1440, CInt(cboTopMargin.Text) * 1440
    Printer.EndDoc
End Sub
